DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Asin

trigonometric function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Asin ( in, out )

## DATA TYPES

binary, integer, float

## FUNCTION

Computes the arc sine of the input image values.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Sin`, `Cos`, `Tan`, `Acos`, `Atan`, `Atan2`, `Sinh`, `Cosh`, `Tanh`

DIPlib on-line documentation | Function reference | Global function index